package com.sdtool.common.entity.mall;

import com.sdtool.common.entity.base.BaseEntity;
import com.sdtool.common.tdoc.ApiPlace;
import com.sweetfish.util.Comment;
import org.rex.db.RColumn;

/**
 * @Author: xl Created on 2024-06-27
 * @Content: 自提快递点
 */
public class SelfTakeAddress extends BaseEntity {

    @Comment("")
    @RColumn("id")
    private long id;

    @Comment("区域-省")
    @RColumn("province")
    @ApiPlace("SaleTaskAddress_Add")
    @ApiPlace("SaleTaskAddress_Edit")
    @ApiPlace("SaleTaskAddress_List")
    private String province;

    @Comment("区域-市")
    @RColumn("city")
    @ApiPlace("SaleTaskAddress_Add")
    @ApiPlace("SaleTaskAddress_Edit")
    @ApiPlace("SaleTaskAddress_List")
    private String city;

    @Comment("区域-区")
    @RColumn("area")
    @ApiPlace("SaleTaskAddress_Add")
    @ApiPlace("SaleTaskAddress_Edit")
    @ApiPlace("SaleTaskAddress_List")
    private String area;

    @Comment("街道地址")
    @RColumn("address")
    @ApiPlace("SaleTaskAddress_Add")
    @ApiPlace("SaleTaskAddress_Edit")
    @ApiPlace("SaleTaskAddress_List")
    private String address;

    @Comment("是否默认")
    @RColumn("defaultflag")
    private int defaultFlag;

    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    public String getProvince() {
        return province;
    }

    public void setProvince(String province) {
        this.province = province;
    }

    public String getCity() {
        return city;
    }

    public void setCity(String city) {
        this.city = city;
    }

    public String getArea() {
        return area;
    }

    public void setArea(String area) {
        this.area = area;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public int getDefaultFlag() {
        return defaultFlag;
    }

    public void setDefaultFlag(int defaultFlag) {
        this.defaultFlag = defaultFlag;
    }
}
